Subject: bug#1415 closed by martin rudalics <[email-masked]> (Re: bug#1415: 23.0.60; display-buffer doesn't honor NOT-THIS-WINDOW argument)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#1415: 23.0.60; display-buffer doesn't honor NOT-THIS-WINDOW argument

It has been closed by martin rudalics <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact martin rudalics <[email-masked]> by
replying to this email.

-- 
1415: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1415
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu Nov 27 05:46:51 2008
Date: Thu, 27 Nov 2008 14:41:11 +0100
From: martin rudalics <[email-masked]>
To: [email-masked]
CC: Helmut Eller <[email-masked]>
Subject: Re: bug#1415: 23.0.60;	display-buffer doesn't honor NOT-THIS-WINDOW
 argument

> I've used the patch now for two days and it seems to work well.

I've checked in a slightly more restrictive version.
Please try again and keep an eye on this.

Thanks again for reporting, martin.

>From [email-masked] Sun Nov 23 20:14:37 2008
From: Helmut Eller <[email-masked]>
To: [email-masked]
Subject: 23.0.60; display-buffer doesn't honor NOT-THIS-WINDOW argument
Date: Sat, 22 Nov 2008 18:01:37 +0100

I think that display-buffer returns sometimes the selected window even
if the NOT-THIS-WINDOW argument is true.  Here is a test case:

(progn
  (defun display-buffer-checked (buffer)
    (let ((selected (selected-window))
          (window (display-buffer buffer t)))
      (when (eq selected window)
        (error "display-buffer returned selected window"))
      window))
  
  (let ((foo (get-buffer-create "foo"))
        (bar (get-buffer-create "bar")))
    (select-window (get-buffer-window "*scratch*"))
    (save-selected-window 
      (select-window (display-buffer-checked foo)))
    (save-selected-window 
      (select-window (display-buffer-checked bar)))))

display-buffer-checked just calls display-buffer and checks that the
returned window isn't the selected window.  From looking at the code of
display-buffer, I would say that display-buffer returns the lru window
even if that's the selected window.

Helmut.

In GNU Emacs 23.0.60.10 (i686-pc-linux-gnu, GTK+ Version 2.8.20)
 of 2008-11-22 on xaital
Windowing system distributor `The X.Org Foundation', version 11.0.70101000
configured using `configure  '--without-sound' '--without-pop' '--without-gif' '--without-tiff''